## Library Utilities

Library Utilities — Library utilities such as version checks

## Functions

#define | GCR_CHECK_VERSION()
#define | GCR_MAJOR_VERSION
#define | GCR_MICRO_VERSION
#define | GCR_MINOR_VERSION

## Description

Basic library utilities such as version checks.

## Functions

### GCR_CHECK_VERSION()

    #define             GCR_CHECK_VERSION(major,minor,micro)

Checks the version of the Gcr libarry that is being compiled against.

Example 1. Checking the version of the Gcr library

    1
    2
    3

    #if !GCR_CHECK_VERSION (3, 0, 0)
    #warning Old Gcr version, disabling functionality
    #endif

#### Parameters

major | the major version to check for |
minor | the minor version to check for |
micro | the micro version to check for |

#### Returns

`TRUE` if the version of the Gcr header files is the same as or newer than the passed-in version.

### GCR_MAJOR_VERSION

    #define GCR_MAJOR_VERSION (3)

The major version number of the Gcr library.

### GCR_MICRO_VERSION

    #define GCR_MICRO_VERSION (0)

The micro version number of the Gcr library.

### GCR_MINOR_VERSION

    #define GCR_MINOR_VERSION (16)

The minor version number of the Gcr library.

## Types and Values